package net.reslate.mcswebapi;

import java.util.logging.Logger;

import org.bukkit.plugin.java.JavaPlugin;

import io.javalin.Javalin;
import net.reslate.mcswebapi.controllers.ControllerGroup;
import net.reslate.mcswebapi.controllers.PublicServerInformation;

public class MCSWebAPI extends JavaPlugin
{
    private Javalin javalin;
    
    @Override
    public void onEnable() {
        Logger logger = getLogger();
        logger.info("Enabling MCSWebAPI...");
        javalin = Javalin.create();
        javalin.start(8080);
        prepareControllers(javalin);
        super.onEnable();
        logger.info("Enabled MCSWebAPI.");
    }

    @Override
    public void onDisable() {
        Logger logger = getLogger();
        logger.info("Disabling MCSWebAPI...");
        javalin.close();
        super.onDisable();
        logger.info("Disabled MCSWebAPI.");
    }


    public void prepareControllers(Javalin javalin) {
        ControllerGroup controllerGroup = new ControllerGroup(javalin, 
            new PublicServerInformation()
        );
        controllerGroup.loadAll();
    }

}
