package net.reslate.mcswebapi.controllers;

import java.util.Arrays;
import java.util.HashSet;

import io.javalin.Javalin;

public class ControllerGroup {
    private final HashSet<WebControllable> controllers;
    private final Javalin javalin;
    public ControllerGroup(Javalin javalin, WebControllable... controllers) {
        super();
        this.javalin = javalin;
        this.controllers = new HashSet<>(Arrays.asList(controllers));
    }

    public void loadAll() {
        for (WebControllable controller : controllers) {
            controller.register(javalin);
        }
    }
}
