package net.reslate.mcswebapi.controllers;

import java.util.ArrayList;

import org.bukkit.Bukkit;

import io.javalin.Javalin;
import io.javalin.http.Context;

public class PublicServerInformation implements WebControllable {
    private String route = "/api/GeneralServerInfo";

    public void getNumPlayersOnline(Context ctx) {
        ctx.json(Bukkit.getOnlinePlayers().size());
    }

    public void getMaximumNumPlayers(Context ctx) {
        ctx.json(Bukkit.getMaxPlayers());
    }

    public void getServerVersion(Context ctx) {
        ctx.json(Bukkit.getBukkitVersion());
    }

    public void getWhitelistedPlayers(Context ctx) {
        ArrayList<String> playerNames = new ArrayList<>();
        Bukkit.getWhitelistedPlayers().forEach(player -> playerNames.add(player.getName()));
        ctx.json(playerNames);
    }

    @Override
    public void register(Javalin javalin) {
        javalin.get(route + "/numPlayersOnline", this::getNumPlayersOnline);
        javalin.get(route + "/maximumNumPlayers", this::getMaximumNumPlayers);
        javalin.get(route + "/serverVersion", this::getServerVersion);
        javalin.get(route + "/whitelistedPlayernames", this::getWhitelistedPlayers);
    }
}
